diff -Naur grisbi-0.5.9/src/affichage.c grisbi-0.5.9.benj/src/affichage.c
--- grisbi-0.5.9/src/affichage.c	2006-04-06 16:50:56.000000000 +0200
+++ grisbi-0.5.9.benj/src/affichage.c	2013-07-10 16:52:14.000000000 +0200
@@ -3,7 +3,7 @@
 /* affichage.c */
 
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org) */
-/*			2003-2004 Benjamin Drieu (bdrieu@april.org) */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org) */
 /* 			http://www.grisbi.org */
 
 /*     This program is free software; you can redistribute it and/or modify */
@@ -509,7 +509,7 @@
 	/* 	on recharge l'ancien logo */
 
 	if ( !chemin_logo ||
-	     !strlen ( g_strstrip ( g_strdup ( chemin_logo )) ) )
+	     !strlen ( my_strstrip ( g_strdup ( chemin_logo )) ) )
 	{
 	    chemin_logo = NULL;
 	    if ( logo_accueil && GTK_IS_WIDGET ( logo_accueil ))
@@ -880,7 +880,7 @@
         chemin_logo = g_strdup ( (gchar *) selected_filename );
 
 	if ( !chemin_logo ||
-	     !strlen ( g_strstrip ( chemin_logo )) )
+	     !strlen ( my_strstrip ( chemin_logo )) )
 	{
 	    chemin_logo = NULL;
 	    if ( logo_accueil && GTK_IS_WIDGET ( logo_accueil ))
@@ -941,7 +941,7 @@
 
     if ( !etat.fichier_animation_attente
 	 ||
-	 !strlen ( g_strstrip (etat.fichier_animation_attente )) )
+	 !strlen ( my_strstrip (etat.fichier_animation_attente )) )
 	etat.fichier_animation_attente = NULL;
 
     /* Update preview */
diff -Naur grisbi-0.5.9/src/calendar.c grisbi-0.5.9.benj/src/calendar.c
--- grisbi-0.5.9/src/calendar.c	2005-02-05 23:23:42.000000000 +0100
+++ grisbi-0.5.9.benj/src/calendar.c	2013-07-10 16:52:14.000000000 +0200
@@ -67,7 +67,7 @@
     gtk_container_add ( GTK_CONTAINER ( frame ), pVBox );
     gtk_widget_show ( pVBox );
 
-    if ( !( strlen ( g_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entry )))) &&
+    if ( !( strlen ( my_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entry )))) &&
 	    sscanf ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entry )),
 		     "%d/%d/%d",
 		     &jour,
@@ -460,7 +460,7 @@
     if ( !format_date ( entree ) )
 	return;
 
-    tableau_char = g_strsplit ( g_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entree ))),
+    tableau_char = g_strsplit ( my_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entree ))),
 				"/",
 				3 );
 
diff -Naur grisbi-0.5.9/src/categories_onglet.c grisbi-0.5.9.benj/src/categories_onglet.c
--- grisbi-0.5.9/src/categories_onglet.c	2005-12-01 18:02:53.000000000 +0100
+++ grisbi-0.5.9.benj/src/categories_onglet.c	2013-07-10 16:52:14.000000000 +0200
@@ -1488,12 +1488,12 @@
 				       "adr_struct_categ" );
 
 
-	if ( strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))),
+	if ( strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))),
 		      categ -> nom_categ ))
 	{
 	    free ( categ -> nom_categ );
 
-	    categ -> nom_categ = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))) );
+	    categ -> nom_categ = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))) );
 
 
 	    node = GTK_CTREE_NODE ( ( GTK_CLIST ( arbre_categ ) -> selection ) -> data );
@@ -1531,7 +1531,7 @@
 
 	free ( sous_categ -> nom_sous_categ );
 
-	sous_categ -> nom_sous_categ = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))) );
+	sous_categ -> nom_sous_categ = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_categ ))) );
 
 
 	node = GTK_CTREE_NODE ( ( GTK_CLIST ( arbre_categ ) -> selection ) -> data );
@@ -2652,7 +2652,7 @@
 				  sizeof ( struct struct_categ ));
 
     nouvelle_categorie -> no_categ = ++no_derniere_categorie;
-    nouvelle_categorie -> nom_categ = g_strdup ( g_strstrip ( categorie ));
+    nouvelle_categorie -> nom_categ = g_strdup ( my_strstrip ( categorie ));
     nouvelle_categorie -> no_derniere_sous_categ = 0;
     nouvelle_categorie -> liste_sous_categ = NULL;
 
@@ -2682,7 +2682,7 @@
     nouvelle_sous_categorie = malloc ( sizeof ( struct struct_sous_categ ));
 
     nouvelle_sous_categorie -> no_sous_categ = ++( categorie->no_derniere_sous_categ );
-    nouvelle_sous_categorie -> nom_sous_categ = g_strdup ( g_strstrip ( sous_categorie ));
+    nouvelle_sous_categorie -> nom_sous_categ = g_strdup ( my_strstrip ( sous_categorie ));
 
     categorie -> liste_sous_categ = g_slist_append ( categorie -> liste_sous_categ,
 						     nouvelle_sous_categorie );
diff -Naur grisbi-0.5.9/src/comptes_gestion.c grisbi-0.5.9.benj/src/comptes_gestion.c
--- grisbi-0.5.9/src/comptes_gestion.c	2005-04-08 17:24:30.000000000 +0200
+++ grisbi-0.5.9.benj/src/comptes_gestion.c	2013-07-10 16:52:14.000000000 +0200
@@ -3,7 +3,7 @@
 /*			gestion_comptes.c				      */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2004-2005 Benjamin Drieu (bdrieu@april.org) 	      */
+/*			2004-2013 Benjamin Drieu (bdrieu@april.org) 	      */
 /*			2003-2004 Alain Portal (dionysos@grisbi.org) 	      */
 /*			http://www.grisbi.org   			      */
 /*                                                                            */
@@ -884,7 +884,7 @@
 	if ( i == compte_courant_onglet )
 	    continue;
 	p_tab_nom_de_compte_variable = p_tab_nom_de_compte + i;
-	if ( !strcmp ( g_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))), NOM_DU_COMPTE ))
+	if ( !strcmp ( my_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))), NOM_DU_COMPTE ))
 	{
 	    dialogue( g_strdup_printf ( _("Account \"%s\" already exists!"), gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))));
 	    return;
@@ -896,7 +896,7 @@
 
     /* récupération du titulaire */
 
-    TITULAIRE = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_titulaire_compte ))));
+    TITULAIRE = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_titulaire_compte ))));
 
     if ( !strlen ( TITULAIRE ))
 	TITULAIRE = NULL;
@@ -1019,21 +1019,21 @@
 
     /* enregistrement du no de guichet */
 
-    NO_GUICHET = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_guichet ))));
+    NO_GUICHET = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_guichet ))));
 
     if ( !strlen ( NO_GUICHET ))
 	NO_GUICHET = NULL;
 
     /* enregistrement du no de compte */
 
-    NO_COMPTE_BANQUE = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_no_compte ))));
+    NO_COMPTE_BANQUE = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_no_compte ))));
 
     if ( !strlen ( NO_COMPTE_BANQUE ))
 	NO_COMPTE_BANQUE = NULL;
 
     /* enregistrement de la clé du compte */
 
-    CLE_COMPTE = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_cle_compte ))));
+    CLE_COMPTE = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_cle_compte ))));
 
     if ( !strlen ( CLE_COMPTE ))
 	CLE_COMPTE = NULL;
@@ -1053,12 +1053,12 @@
 
     /* vérification du solde initial */
 
-    if ( SOLDE_INIT != my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_init ))),
+    if ( SOLDE_INIT != my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_init ))),
 				   NULL ) )
     {
 	gint value;
 
-	SOLDE_INIT = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_init ))),
+	SOLDE_INIT = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_init ))),
 				 NULL );
 
 	value = gtk_clist_get_vadjustment ( GTK_CLIST ( CLIST_OPERATIONS )) -> value;
@@ -1075,10 +1075,10 @@
 
     /* vérification du solde mini autorisé */
 
-    if ( SOLDE_MINI != my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_autorise ))),
+    if ( SOLDE_MINI != my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_autorise ))),
 				   NULL ) )
     {
-	SOLDE_MINI = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_autorise ))),
+	SOLDE_MINI = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_autorise ))),
 				 NULL );
 	MESSAGE_SOUS_MINI = 0;
 
@@ -1091,10 +1091,10 @@
 
     /* vérification du solde mini voulu */
 
-    if ( SOLDE_MINI_VOULU != my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_voulu ))),
+    if ( SOLDE_MINI_VOULU != my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_voulu ))),
 					 NULL ) )
     {
-	SOLDE_MINI_VOULU = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_voulu ))),
+	SOLDE_MINI_VOULU = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_solde_mini_voulu ))),
 				       NULL );
 	MESSAGE_SOUS_MINI_VOULU = 0;
 
@@ -1130,10 +1130,10 @@
 
     if ( !NOM_DU_COMPTE
 	 ||
-	 strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))),
+	 strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))),
 		  NOM_DU_COMPTE ) )
     {
-	NOM_DU_COMPTE = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))));
+	NOM_DU_COMPTE = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( detail_nom_compte ))));
 
 	reaffiche_liste_comptes ();
 	reaffiche_liste_comptes_onglet ();
diff -Naur grisbi-0.5.9/src/devises.c grisbi-0.5.9.benj/src/devises.c
--- grisbi-0.5.9/src/devises.c	2006-05-19 12:41:06.000000000 +0200
+++ grisbi-0.5.9.benj/src/devises.c	2013-07-10 16:52:14.000000000 +0200
@@ -2,7 +2,7 @@
 /* s'occupe de tout ce qui concerne les devises */
 
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org) */
-/*			2003 Benjamin Drieu (bdrieu@april.org) */
+/*			2013 Benjamin Drieu (bdrieu@april.org) */
 /* 			http://www.grisbi.org */
 
 /*     This program is free software; you can redistribute it and/or modify */
@@ -789,9 +789,9 @@
     {
 	case 1 :
 
-	    nom_devise = g_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom ))));
-	    code_devise = g_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_code ))));
-	    code_iso4217_devise = g_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_iso_code ))));
+	    nom_devise = my_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom ))));
+	    code_devise = my_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_code ))));
+	    code_iso4217_devise = my_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_iso_code ))));
 
 	    if ( strlen ( nom_devise ) && 
 		 (strlen ( code_devise ) ||
@@ -807,7 +807,7 @@
 		devise -> une_devise_1_egale_x_devise_2 = 0;
 
 		if ( devise -> passage_euro )
-		    devise -> change = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_conversion_euro ))),
+		    devise -> change = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_conversion_euro ))),
 						   NULL );
 		else
 		    devise -> change = 0;
@@ -889,7 +889,7 @@
 {
     gchar *nom_devise;
 
-    nom_devise = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )));
+    nom_devise = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )));
 
     if ( nom_devise || !strlen (nom_devise) )
     {
@@ -2155,7 +2155,7 @@
     devise = gtk_clist_get_row_data ( GTK_CLIST ( clist_devises_parametres ),
 				      ligne_selection_devise );
 
-    devise -> nom_devise = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_devise_parametres ))));
+    devise -> nom_devise = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_devise_parametres ))));
 
     gtk_clist_set_text ( GTK_CLIST ( clist_devises_parametres ),
 			 ligne_selection_devise,
@@ -2175,7 +2175,7 @@
     devise = gtk_clist_get_row_data ( GTK_CLIST ( clist_devises_parametres ),
 				      ligne_selection_devise );
 
-    devise -> code_devise = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_code_devise_parametres ))));
+    devise -> code_devise = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_code_devise_parametres ))));
 
     gtk_clist_set_text ( GTK_CLIST ( clist_devises_parametres ),
 			 ligne_selection_devise,
@@ -2194,7 +2194,7 @@
     devise = gtk_clist_get_row_data ( GTK_CLIST ( clist_devises_parametres ),
 				      ligne_selection_devise );
 
-    devise -> code_iso4217_devise = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_iso_code_devise_parametres ))));
+    devise -> code_iso4217_devise = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_iso_code_devise_parametres ))));
 
     gtk_clist_set_text ( GTK_CLIST ( clist_devises_parametres ),
 			 ligne_selection_devise,
diff -Naur grisbi-0.5.9/src/dialog.c grisbi-0.5.9.benj/src/dialog.c
--- grisbi-0.5.9/src/dialog.c	2005-12-19 15:45:20.000000000 +0100
+++ grisbi-0.5.9.benj/src/dialog.c	2013-07-10 16:52:14.000000000 +0200
@@ -4,7 +4,7 @@
 /*                                  dialog.c                                  */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2003-2004 Benjamin Drieu (bdrieu@april.org)	      */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org)	      */
 /*			2005 Alain Portal (aportal@univ-montp2.fr) 	      */
 /* 			http://www.grisbi.org				      */
 /*                                                                            */
@@ -416,7 +416,7 @@
 	return ( NULL );
     }
 
-    retour = g_strstrip ( g_strdup ( gtk_entry_get_text ( GTK_ENTRY ( entree ))));
+    retour = my_strstrip ( g_strdup ( gtk_entry_get_text ( GTK_ENTRY ( entree ))));
 
     gtk_widget_destroy ( GTK_WIDGET ( dialog ));
     return ( retour );
diff -Naur grisbi-0.5.9/src/echeancier_formulaire.c grisbi-0.5.9.benj/src/echeancier_formulaire.c
--- grisbi-0.5.9/src/echeancier_formulaire.c	2005-11-04 17:04:34.000000000 +0100
+++ grisbi-0.5.9.benj/src/echeancier_formulaire.c	2013-07-10 16:52:14.000000000 +0200
@@ -890,7 +890,7 @@
     {
 	/* on sort de la date, soit c'est vide, soit on la vérifie, la complète si nécessaire et met à jour l'exercice */
 	case SCHEDULER_FORM_DATE :
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		modifie_date ( entree );
 
@@ -908,7 +908,7 @@
 	    /* on sort du tiers : soit vide soit complète le reste de l'opé */
 
 	case SCHEDULER_FORM_PARTY :
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		completion_operation_par_tiers_echeancier ();
 	    else
 		texte = _("Third party");
@@ -919,7 +919,7 @@
 
 	case SCHEDULER_FORM_DEBIT :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* on commence par virer ce qu'il y avait dans les crédits */
 
@@ -979,7 +979,7 @@
 	       s'il n'y a aucun tiers ( <=> nouveau tiers ) */
 
 	case SCHEDULER_FORM_CREDIT :
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* on commence par virer ce qu'il y avait dans les débits */
 
@@ -1040,10 +1040,10 @@
 	    /*       sort des catégories */
 
 	case SCHEDULER_FORM_CATEGORY :
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Categories : Sub-categories");
 	    else
-		if ( !strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree ))),
+		if ( !strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree ))),
 			       _("Breakdown of transaction") ))
 		{
 		    if ( !etat.formulaire_echeance_dans_fenetre )
@@ -1058,12 +1058,12 @@
 	    break;
 
 	case SCHEDULER_FORM_CHEQUE :
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Transfer reference");
 	    break;
 
 	case SCHEDULER_FORM_BUDGETARY :
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Budgetary line");
 	    break;
 
@@ -1071,20 +1071,20 @@
 	    break;
 
 	case SCHEDULER_FORM_VOUCHER :
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Voucher");
 
 	    break;
 
 	case SCHEDULER_FORM_NOTES :
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Notes");
 	    break;
 
 	    /* on sort de la date limite, soit c'est vide, soit on la vérifie,
 	       la complète si nécessaire */
 	case SCHEDULER_FORM_FINAL_DATE :
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		modifie_date ( entree );
 	    else
 		texte = _("Limit date");
@@ -1485,7 +1485,7 @@
 
     if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ) == style_entree_formulaire[ENCLAIR]
 	 &&
-	 strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ))),
+	 strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ))),
 		  _("None") ))
 	if ( !modifie_date ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ))
 	{
@@ -1501,7 +1501,7 @@
     /* si c'est le cas, si la liste des ventilation existe (soit adr de liste, soit -1), on va l'enregistrer plus tard */
     /* sinon on va ventiler tout de suite */
 
-    if ( !strcmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
+    if ( !strcmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
 		   _("Breakdown of transaction") )
 	 &&
 	 !gtk_object_get_data ( GTK_OBJECT ( formulaire_echeancier ),
@@ -1510,10 +1510,10 @@
 	enregistre_ope_au_retour_echeances = 1;
 
 	if ( gtk_widget_get_style ( widget_formulaire_echeancier[TRANSACTION_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	    ventiler_operation_echeances ( -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
+	    ventiler_operation_echeances ( -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
 							NULL ));
 	else
-	    ventiler_operation_echeances ( my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
+	    ventiler_operation_echeances ( my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
 						       NULL ));
 
 	return;
@@ -1522,7 +1522,7 @@
 
     /* vérification que ce n'est pas un virement sur lui-même */
 
-    if ( !g_strcasecmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
+    if ( !g_strcasecmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
 			 g_strconcat ( COLON(_("Transfer")),
 				       COMPTE_ECHEANCE,
 				       NULL )))
@@ -1534,7 +1534,7 @@
     /*     si c'est une ventilation, vérifie qu'aucune ventilation n'est un virement sur lui-même */
     /* 	peut arriver si modifie le compte d'une échéance */
 
-    if ( !strcmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
+    if ( !strcmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
 		   _("Breakdown of transaction") ))
     {
 	GSList *liste_ventil;
@@ -1568,7 +1568,7 @@
     /* si c'est un virement, on vérifie que le compte existe  */
 
 
-    pointeur_char = g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] )));
+    pointeur_char = my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] )));
 
     if ( !g_strncasecmp ( pointeur_char, _("Transfer"), 8 ))
     {
@@ -1587,7 +1587,7 @@
 
 	if ( tableau_char[1] )
 	{
-	    tableau_char[1] = g_strstrip ( tableau_char[1] );
+	    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	    p_tab_nom_de_compte_variable = p_tab_nom_de_compte;
 
@@ -1638,7 +1638,7 @@
 	/* récupère la date */
 
 
-	pointeur_char = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY (widget_formulaire_echeancier[SCHEDULER_FORM_DATE] )));
+	pointeur_char = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY (widget_formulaire_echeancier[SCHEDULER_FORM_DATE] )));
 
 	tableau_char = g_strsplit ( pointeur_char,
 				    "/",
@@ -1663,7 +1663,7 @@
 
 	if ( gtk_widget_get_style ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] ) -> entry ) == style_entree_formulaire[ENCLAIR] )
 	{
-	    pointeur_char = g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] )));
+	    pointeur_char = my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] )));
 
 	    if ( ( pointeur_liste = g_slist_find_custom ( liste_struct_tiers,
 							  pointeur_char,
@@ -1681,10 +1681,10 @@
 	/* récupération du montant */
 
 	if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	    echeance -> montant = -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
+	    echeance -> montant = -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
 					       NULL );
 	else
-	    echeance -> montant = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
+	    echeance -> montant = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
 					      NULL );
 
 	/* récupération de la devise */
@@ -1705,14 +1705,14 @@
 	{
 	    struct struct_categ *categ;
 
-	    tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
+	    tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
 					":",
 					2 );
 
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 	    if ( strlen ( tableau_char[0] ) )
@@ -1822,7 +1822,7 @@
 	    if ( GTK_WIDGET_VISIBLE ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] )
 		 &&
 		 gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] ) == style_entree_formulaire[ENCLAIR] )
-		echeance -> contenu_type = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] ))));
+		echeance -> contenu_type = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] ))));
 	}
 
 	/* récupération du no d'exercice */
@@ -1842,10 +1842,10 @@
 					":",
 					2 );
 
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	    pointeur_liste = g_slist_find_custom ( liste_struct_imputation,
 						   tableau_char[0],
@@ -1895,7 +1895,7 @@
 	/* récupération des notes */
 
 	if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ) == style_entree_formulaire[ENCLAIR] )
-	    echeance -> notes = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ))));
+	    echeance -> notes = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ))));
 
 
 	/* récupération de la fréquence */
@@ -1918,7 +1918,7 @@
 	{
 	    /* traitement de la date limite */
 
-	    tableau_char = g_strsplit ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ))),
+	    tableau_char = g_strsplit ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_FINAL_DATE] ))),
 					"/",
 					3 );
 
@@ -1960,7 +1960,7 @@
 	/* récupère la date */
 
 
-	pointeur_char = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY (widget_formulaire_echeancier[SCHEDULER_FORM_DATE] )));
+	pointeur_char = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY (widget_formulaire_echeancier[SCHEDULER_FORM_DATE] )));
 
 	tableau_char = g_strsplit ( pointeur_char,
 				    "/",
@@ -1988,7 +1988,7 @@
 
 	if ( gtk_widget_get_style ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] ) -> entry ) == style_entree_formulaire[ENCLAIR] )
 	{
-	    pointeur_char = g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] )));
+	    pointeur_char = my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY] )));
 
 	    if ( ( pointeur_liste = g_slist_find_custom ( liste_struct_tiers,
 							  pointeur_char,
@@ -2005,10 +2005,10 @@
 	/* récupération du montant */
 
 	if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	    operation -> montant = -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
+	    operation -> montant = -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
 						NULL );
 	else
-	    operation -> montant = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
+	    operation -> montant = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
 					       NULL );
 
 	/* récupération de la devise */
@@ -2063,14 +2063,14 @@
 	{
 	    struct struct_categ *categ = NULL;
 
-	    tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
+	    tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_CATEGORY] ))),
 					":",
 					2 );
 
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 	    if ( strlen ( tableau_char[0] ) )
@@ -2155,7 +2155,7 @@
 		type = gtk_object_get_data ( GTK_OBJECT ( GTK_OPTION_MENU ( widget_formulaire_echeancier[SCHEDULER_FORM_TYPE] ) -> menu_item ),
 					     "adr_type" );
 
-		operation -> contenu_type = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] ))));
+		operation -> contenu_type = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CHEQUE] ))));
 
 		if ( type -> numerotation_auto )
 		    type -> no_en_cours = ( my_atoi ( operation -> contenu_type ));
@@ -2185,10 +2185,10 @@
 					":",
 					2 );
 
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	    pointeur_liste = g_slist_find_custom ( liste_struct_imputation,
 						   tableau_char[0],
@@ -2238,7 +2238,7 @@
 	/* récupération des notes */
 
 	if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ) == style_entree_formulaire[ENCLAIR] )
-	    operation -> notes = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ))));
+	    operation -> notes = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_NOTES] ))));
 
 
 	/*   on a fini de remplir l'opé, on peut l'ajouter à la liste */
@@ -2827,7 +2827,7 @@
 
 
     liste_tmp = g_slist_find_custom ( liste_struct_tiers,
-				      g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY]))),
+				      my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_echeancier[SCHEDULER_FORM_PARTY]))),
 				      ( GCompareFunc ) recherche_tiers_par_nom );
 
     /*   si nouveau tiers,  on s'en va simplement */
@@ -3143,10 +3143,10 @@
     enregistre_ope_au_retour_echeances = 0;
 
     if ( gtk_widget_get_style ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	ventiler_operation_echeances  ( -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
+	ventiler_operation_echeances  ( -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_DEBIT] ))),
 						     NULL ));
     else
-	ventiler_operation_echeances  ( my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
+	ventiler_operation_echeances  ( my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_echeancier[SCHEDULER_FORM_CREDIT] ))),
 						    NULL ));
 }
 /******************************************************************************/
diff -Naur grisbi-0.5.9/src/echeancier_liste.c grisbi-0.5.9.benj/src/echeancier_liste.c
--- grisbi-0.5.9/src/echeancier_liste.c	2006-05-15 12:30:59.000000000 +0200
+++ grisbi-0.5.9.benj/src/echeancier_liste.c	2013-07-10 16:52:14.000000000 +0200
@@ -4,7 +4,7 @@
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
 /*			2004-2005 Alain Portal (aportal@univ-montp2.fr)	      */
-/*			2006 Benjamin Drieu (bdrieu@april.org)  	      */
+/*			2013 Benjamin Drieu (bdrieu@april.org)  	      */
 /* 			http://www.grisbi.org   			      */
 /*                                                                            */
 /*  This program is free software; you can redistribute it and/or modify      */
@@ -2197,7 +2197,7 @@
 
 	case 5:
 
-	    affichage_echeances_perso_nb_libre = my_atoi ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_personnalisation_affichage_echeances ))));
+	    affichage_echeances_perso_nb_libre = my_atoi ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_personnalisation_affichage_echeances ))));
 
 	    break;
 
diff -Naur grisbi-0.5.9/src/echeancier_ventilation.c grisbi-0.5.9.benj/src/echeancier_ventilation.c
--- grisbi-0.5.9/src/echeancier_ventilation.c	2005-11-27 22:25:34.000000000 +0100
+++ grisbi-0.5.9.benj/src/echeancier_ventilation.c	2013-07-10 16:52:14.000000000 +0200
@@ -748,7 +748,7 @@
     {
 	/* on sort des catégories */
 	case SCHEDULER_BREAKDOWN_FORM_CATEGORY :
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* si c'est un virement, on met le menu des types de l'autre compte */
 		/* si ce menu n'est pas déjà affiché */
@@ -759,10 +759,10 @@
 					    ":",
 					    2 );
 
-		tableau_char[0] = g_strstrip ( tableau_char[0] );
+		tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 		if ( tableau_char[1] )
-		    tableau_char[1] = g_strstrip ( tableau_char[1] );
+		    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 		if ( strlen ( tableau_char[0] ) )
@@ -860,7 +860,7 @@
 	    /* sort des notes */
 
 	case SCHEDULER_BREAKDOWN_FORM_NOTES :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Notes");
 	    break;
 
@@ -869,7 +869,7 @@
 
 	case SCHEDULER_BREAKDOWN_FORM_DEBIT :
 
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
 		 &&
 		 gtk_widget_get_style ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
 	    {
@@ -916,7 +916,7 @@
 	    /* sort du crédit */
 
 	case SCHEDULER_BREAKDOWN_FORM_CREDIT :
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
 		 &&
 		 gtk_widget_get_style ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CREDIT] ) == style_entree_formulaire[ENCLAIR])
 	    {
@@ -963,14 +963,14 @@
 	    /* sort de l'ib */
 
 	case SCHEDULER_BREAKDOWN_FORM_BUDGETARY :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Budgetary line");
 	    break;
 
 	    /* sort de la pièce comptable */
 
 	case SCHEDULER_BREAKDOWN_FORM_VOUCHER :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Voucher");
 	    break;
 
@@ -1565,15 +1565,15 @@
     {
 	/*       on split déjà les catég, sans libérer la variable, pour la récupérer ensuite pour les categ */
 
-	tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CATEGORY] ))),
+	tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CATEGORY] ))),
 				    ":",
 				    2 );
 	if ( tableau_char[0]  )
 	{
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 	    if ( !strcmp ( tableau_char[0],
@@ -1654,14 +1654,14 @@
     {
 	struct struct_categ *categ;
 
-       tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CATEGORY] ))),
+       tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CATEGORY] ))),
                                    ":",
                                    2 );
 
-       tableau_char[0] = g_strstrip ( tableau_char[0] );
+       tableau_char[0] = my_strstrip ( tableau_char[0] );
 
        if ( tableau_char[1] )
-	   tableau_char[1] = g_strstrip ( tableau_char[1] );
+	   tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	if ( strlen ( tableau_char[0] ) )
 	{
@@ -1786,7 +1786,7 @@
     /* récupération des notes */
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_NOTES] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> notes = g_strdup ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_NOTES] ))));
+	operation -> notes = g_strdup ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_NOTES] ))));
     else
 	operation -> notes = NULL;
 
@@ -1795,10 +1795,10 @@
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
 	/* c'est un débit */
-	operation -> montant = -my_strtod ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_DEBIT] ))),
+	operation -> montant = -my_strtod ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_DEBIT] ))),
 					    NULL );
     else
-	operation -> montant = my_strtod ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CREDIT] ))),
+	operation -> montant = my_strtod ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_CREDIT] ))),
 					   NULL );
 
 
@@ -1815,10 +1815,10 @@
 				    ":",
 				    2 );
 
-	tableau_char[0] = g_strstrip ( tableau_char[0] );
+	tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	if ( tableau_char[1] )
-	    tableau_char[1] = g_strstrip ( tableau_char[1] );
+	    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	pointeur_liste = g_slist_find_custom ( liste_struct_imputation,
 					       tableau_char[0],
@@ -1879,7 +1879,7 @@
     /* récupération du no de pièce comptable */
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_VOUCHER] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> no_piece_comptable = g_strdup ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_VOUCHER] ))));
+	operation -> no_piece_comptable = g_strdup ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation_echeances[SCHEDULER_BREAKDOWN_FORM_VOUCHER] ))));
     else
 	operation -> no_piece_comptable = NULL;
 
diff -Naur grisbi-0.5.9/src/equilibrage.c grisbi-0.5.9.benj/src/equilibrage.c
--- grisbi-0.5.9/src/equilibrage.c	2005-11-21 12:35:29.000000000 +0100
+++ grisbi-0.5.9.benj/src/equilibrage.c	2013-07-10 16:52:14.000000000 +0200
@@ -3,7 +3,7 @@
 /* 			equilibrage.c                                         */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2003 Benjamin Drieu (bdrieu@april.org)		      */
+/*			2013 Benjamin Drieu (bdrieu@april.org)		      */
 /*			2004 Alain Portal (aportal@univ-montp2.fr) 	      */
 /*			http://www.grisbi.org   			      */
 /*                                                                            */
@@ -645,7 +645,7 @@
 {
     /* si l'entrée contenant la date est vide, alors on met la date du jour */
 
-    if ( strlen ( g_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( entree )))) == 0  )
+    if ( strlen ( my_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( entree )))) == 0  )
 	gtk_entry_set_text ( GTK_ENTRY ( entree ), gsb_today() );
 
     format_date ( entree );
@@ -979,13 +979,13 @@
     /*   récupération du no de rapprochement, */
     /*     s'il n'existe pas,on le crée */
 
-    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_no_rapprochement )))))
+    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_no_rapprochement )))))
     {
 	struct struct_no_rapprochement *rapprochement;
 	GSList *liste_tmp;
 	gchar *rap_txt;
 
-	rap_txt = g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_no_rapprochement )));
+	rap_txt = my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree_no_rapprochement )));
 
 	liste_tmp = g_slist_find_custom ( liste_no_rapprochements,
 					  rap_txt,
diff -Naur grisbi-0.5.9/src/etat_io.c grisbi-0.5.9.benj/src/etat_io.c
--- grisbi-0.5.9/src/etat_io.c	2005-04-17 11:18:19.000000000 +0200
+++ grisbi-0.5.9.benj/src/etat_io.c	2013-07-10 16:52:14.000000000 +0200
@@ -753,7 +753,7 @@
     struct struct_devise *devise;
 
     liste_tmp = g_slist_find_custom ( liste_struct_devises,
-				      g_strstrip ( nom ),
+				      my_strstrip ( nom ),
 				      (GCompareFunc) recherche_devise_par_nom );
 
     if ( liste_tmp )
@@ -794,7 +794,7 @@
 
 
     liste_tmp = g_slist_find_custom ( liste_struct_exercices,
-				      g_strstrip ( nom ),
+				      my_strstrip ( nom ),
 				      (GCompareFunc) recherche_exercice_par_nom  );
 
     if ( liste_tmp )
@@ -883,7 +883,7 @@
 
 
     liste_tmp = g_slist_find_custom ( liste_struct_categories,
-				      g_strstrip ( nom ),
+				      my_strstrip ( nom ),
 				      (GCompareFunc) recherche_categorie_par_nom  );
 
     if ( liste_tmp )
@@ -926,7 +926,7 @@
 
 
     liste_tmp = g_slist_find_custom ( liste_struct_imputation,
-				      g_strstrip ( nom ),
+				      my_strstrip ( nom ),
 				      (GCompareFunc) recherche_imputation_par_nom  );
 
     if ( liste_tmp )
@@ -970,7 +970,7 @@
 
 
     liste_tmp = g_slist_find_custom ( liste_struct_tiers,
-				      g_strstrip ( nom ),
+				      my_strstrip ( nom ),
 				      (GCompareFunc) recherche_tiers_par_nom  );
 
     if ( liste_tmp )
diff -Naur grisbi-0.5.9/src/etats_config.c grisbi-0.5.9.benj/src/etats_config.c
--- grisbi-0.5.9/src/etats_config.c	2005-04-18 22:58:12.000000000 +0200
+++ grisbi-0.5.9.benj/src/etats_config.c	2013-07-10 16:52:14.000000000 +0200
@@ -960,7 +960,7 @@
     /* on récupère maintenant toutes les données */
     /* récupération du nom du rapport */
 
-    pointeur_char = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_etat )));
+    pointeur_char = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_etat )));
 
     if ( strlen ( pointeur_char )
 	 &&
@@ -1113,13 +1113,13 @@
 
     etat_courant -> no_plage_date = GPOINTER_TO_INT ( GTK_CLIST ( liste_plages_dates_etat ) -> selection -> data );
 
-    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_init_etat ))))
+    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_init_etat ))))
 	 &&
 	 format_date ( entree_date_init_etat ))
     {
 	gint jour, mois, annee;
 
-	sscanf ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_init_etat ))),
+	sscanf ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_init_etat ))),
 		 "%d/%d/%d",
 		 &jour,
 		 &mois,
@@ -1130,13 +1130,13 @@
 							    annee );
     }
 
-    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_finale_etat ))))
+    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_finale_etat ))))
 	 &&
 	 format_date ( entree_date_finale_etat ))
     {
 	gint jour, mois, annee;
 
-	sscanf ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_finale_etat ))),
+	sscanf ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_date_finale_etat ))),
 		 "%d/%d/%d",
 		 &jour,
 		 &mois,
@@ -1388,7 +1388,7 @@
 	comp_textes -> utilise_txt = gtk_toggle_button_get_active ( GTK_TOGGLE_BUTTON ( comp_textes -> bouton_utilise_txt ));
 	comp_textes -> operateur = GPOINTER_TO_INT ( gtk_object_get_data ( GTK_OBJECT ( GTK_OPTION_MENU ( comp_textes -> bouton_operateur ) -> menu_item ),
 									   "no_operateur" ));
-	comp_textes -> texte = g_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_textes -> entree_txt ))));
+	comp_textes -> texte = my_strstrip ( g_strdup ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_textes -> entree_txt ))));
 	if ( !strlen ( comp_textes -> texte ))
 	    comp_textes -> texte = NULL;
 
@@ -1418,9 +1418,9 @@
 
     if ( g_slist_length ( etat_courant -> liste_struct_comparaison_montants ) == 1
 	 &&
-	 !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_montants -> entree_montant_1 ))))
+	 !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_montants -> entree_montant_1 ))))
 	 &&
-	 !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_montants -> entree_montant_2 ))))
+	 !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( comp_montants -> entree_montant_2 ))))
 	 &&
 	 GTK_WIDGET_SENSITIVE ( comp_montants -> entree_montant_1 )
 	 &&
@@ -2151,7 +2151,7 @@
 {
     /* si l'entrée contenant la date est vide, alors on met la date du jour */
 
-    if ( strlen ( g_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( entree )))) == 0  )
+    if ( strlen ( my_strstrip ( (gchar*) gtk_entry_get_text ( GTK_ENTRY ( entree )))) == 0  )
 	gtk_entry_set_text ( GTK_ENTRY ( entree ), gsb_today() );
 
     format_date ( entree );
diff -Naur grisbi-0.5.9/src/exercice.c grisbi-0.5.9.benj/src/exercice.c
--- grisbi-0.5.9/src/exercice.c	2006-05-15 12:30:59.000000000 +0200
+++ grisbi-0.5.9.benj/src/exercice.c	2013-07-10 16:52:14.000000000 +0200
@@ -2,7 +2,7 @@
 /* exercice.c */
 
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org) */
-/*			2003 Benjamin Drieu (bdrieu@april.org) */
+/*			2013 Benjamin Drieu (bdrieu@april.org) */
 /* 			http://www.grisbi.org */
 
 /*     This program is free software; you can redistribute it and/or modify */
@@ -456,7 +456,7 @@
     exercice = gtk_clist_get_row_data ( GTK_CLIST ( liste ),
 					ligne_selection_exercice );
 
-    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( nom_exercice )))))
+    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( nom_exercice )))))
     {
 	dialogue ( _("The financial year must have a name.") );
 	return;
@@ -468,9 +468,9 @@
 	nb_exercices_tmp++;
     }
 
-    exercice -> nom_exercice = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( nom_exercice ))));
+    exercice -> nom_exercice = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( nom_exercice ))));
 
-    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( debut_exercice )))))
+    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( debut_exercice )))))
 	exercice -> date_debut = NULL;
     else
     {
@@ -478,7 +478,7 @@
 	{
 	    gint jour, mois, an;
 
-	    sscanf ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( debut_exercice ))),
+	    sscanf ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( debut_exercice ))),
 		     "%02d/%02d/%04d",
 		     &jour,
 		     &mois,
@@ -492,7 +492,7 @@
 	    return;
     }
 
-    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( fin_exercice )))))
+    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( fin_exercice )))))
 	exercice -> date_fin = NULL;
     else
     {
@@ -500,7 +500,7 @@
 	{
 	    gint jour, mois, an;
 
-	    sscanf ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( fin_exercice ))),
+	    sscanf ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( fin_exercice ))),
 		     "%02d/%02d/%04d",
 		     &jour,
 		     &mois,
diff -Naur grisbi-0.5.9/src/fichiers_io.c grisbi-0.5.9.benj/src/fichiers_io.c
--- grisbi-0.5.9/src/fichiers_io.c	2006-05-15 12:38:50.000000000 +0200
+++ grisbi-0.5.9.benj/src/fichiers_io.c	2013-07-10 16:52:14.000000000 +0200
@@ -2,7 +2,7 @@
 /* Contient toutes les procédures relatives à l'accès au disque */
 
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org) */
-/*			2003-2006 Benjamin Drieu (bdrieu@april.org) */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org) */
 /* 			http://www.grisbi.org */
 
 /*     This program is free software; you can redistribute it and/or modify */
@@ -1684,7 +1684,7 @@
 			    rapprochement -> nom_rapprochement = latin2utf8(xmlGetProp ( node_detail,
 											 "Nom" ));
 
-			    rapprochement -> nom_rapprochement = g_strstrip ( rapprochement -> nom_rapprochement);
+			    rapprochement -> nom_rapprochement = my_strstrip ( rapprochement -> nom_rapprochement);
 
 			    liste_no_rapprochements = g_slist_append ( liste_no_rapprochements,
 								       rapprochement );
@@ -3564,7 +3564,7 @@
 			    rapprochement -> nom_rapprochement = xmlGetProp ( node_detail,
 									      "Nom" );
 
-			    rapprochement -> nom_rapprochement = g_strstrip ( rapprochement -> nom_rapprochement);
+			    rapprochement -> nom_rapprochement = my_strstrip ( rapprochement -> nom_rapprochement);
 
 			    liste_no_rapprochements = g_slist_append ( liste_no_rapprochements,
 								       rapprochement );
@@ -5815,7 +5815,7 @@
 			    rapprochement -> nom_rapprochement = xmlGetProp ( node_detail,
 									      "Nom" );
 
-			    rapprochement -> nom_rapprochement = g_strstrip ( rapprochement -> nom_rapprochement);
+			    rapprochement -> nom_rapprochement = my_strstrip ( rapprochement -> nom_rapprochement);
 
 			    liste_no_rapprochements = g_slist_append ( liste_no_rapprochements,
 								       rapprochement );
diff -Naur grisbi-0.5.9/src/gtk_combofix.c grisbi-0.5.9.benj/src/gtk_combofix.c
--- grisbi-0.5.9/src/gtk_combofix.c	2005-04-14 16:10:58.000000000 +0200
+++ grisbi-0.5.9.benj/src/gtk_combofix.c	2013-07-10 16:52:14.000000000 +0200
@@ -1,7 +1,7 @@
 /* ComboFix Widget
  *
  *     Copyright (C)	2001 Cédric Auger (cedric@grisbi.org) 
- *			2003 Benjamin Drieu (bdrieu@april.org) 
+ *			2013 Benjamin Drieu (bdrieu@april.org) 
  *			2005 Alain Portal (aportal@univ-montp2.fr) 
  * 			http://www.grisbi.org
  *
@@ -1420,7 +1420,7 @@
 	gchar *chaine;
 	GSList *liste_tmp;
 
-	chaine = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( combofix -> entry ) ) );
+	chaine = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( combofix -> entry ) ) );
 
 	if ( !chaine || !strlen ( chaine ) )
 	    return TRUE;
diff -Naur grisbi-0.5.9/src/import.c grisbi-0.5.9.benj/src/import.c
--- grisbi-0.5.9/src/import.c	2006-05-20 18:05:50.000000000 +0200
+++ grisbi-0.5.9.benj/src/import.c	2013-07-10 16:52:14.000000000 +0200
@@ -1048,9 +1048,9 @@
 		    p_tab_nom_de_compte_variable = p_tab_nom_de_compte + j;
 
 		    if ( ( !g_strcasecmp ( g_strconcat ( "[", NOM_DU_COMPTE, "]", NULL ),
-					   g_strstrip ( g_strdup ( operation -> info_banque_guichet )))) ||
+					   my_strstrip ( g_strdup ( operation -> info_banque_guichet )))) ||
 			 ( !g_strcasecmp ( NOM_DU_COMPTE ,
-					   g_strstrip ( g_strdup ( operation -> info_banque_guichet )))))
+					   my_strstrip ( g_strdup ( operation -> info_banque_guichet )))))
 			 
 			compte_trouve = j;
 		}
@@ -1088,9 +1088,9 @@
 			     operation_2 -> info_banque_guichet
 			     &&
 			     (!g_strcasecmp ( g_strconcat ("[", nom_compte_courant, "]", NULL),
-					      g_strstrip ( g_strdup ( operation_2 -> info_banque_guichet ))) ||
+					      my_strstrip ( g_strdup ( operation_2 -> info_banque_guichet ))) ||
 			      !g_strcasecmp ( nom_compte_courant,
-					      g_strstrip ( g_strdup ( operation_2 -> info_banque_guichet ))))
+					      my_strstrip ( g_strdup ( operation_2 -> info_banque_guichet ))))
 			     &&
 			     ( !same_currency || fabs ( operation -> montant ) == fabs ( operation_2 -> montant ))
 			     &&
@@ -1198,7 +1198,7 @@
     /* met le nom du compte */
 
     if ( compte_import -> nom_de_compte )
-	compte -> nom_de_compte = g_strstrip ( compte_import -> nom_de_compte );
+	compte -> nom_de_compte = my_strstrip ( compte_import -> nom_de_compte );
     else
 	compte -> nom_de_compte = g_strdup ( _("Imported account"));
 
@@ -1314,10 +1314,10 @@
 
 	if ( operation_import -> tiers
 	     &&
-	     strlen ( g_strstrip ( operation_import -> tiers )))
+	     strlen ( my_strstrip ( operation_import -> tiers )))
 	{
 	    pointeur_tmp = g_slist_find_custom ( liste_struct_tiers,
-						 g_strstrip ( operation_import -> tiers ),
+						 my_strstrip ( operation_import -> tiers ),
 						 (GCompareFunc) recherche_tiers_par_nom );
 
 	    /* si le tiers n'existait pas, on le crée */
@@ -1345,7 +1345,7 @@
 
 	    if ( operation_import -> categ
 		 &&
-		 strlen ( g_strstrip (operation_import -> categ)) )
+		 strlen ( my_strstrip (operation_import -> categ)) )
 	    {
 		if ( operation_import -> categ[0] == '[' )
 		{
@@ -1372,14 +1372,14 @@
 		    /* récupération ou création de la catégorie */
 
 		    if ( !g_slist_find_custom ( liste_struct_categories,
-						g_strstrip ( tab_str[0] ),
+						my_strstrip ( tab_str[0] ),
 						(GCompareFunc) recherche_categorie_par_nom ))
 		    {
 			categ = calloc ( 1,
 					 sizeof ( struct struct_categ ));
 
 			categ -> no_categ = ++no_derniere_categorie;
-			categ -> nom_categ = g_strdup ( g_strstrip ( tab_str[0] ) );
+			categ -> nom_categ = g_strdup ( my_strstrip ( tab_str[0] ) );
 
 			if ( operation_import -> montant < 0 )
 			    categ -> type_categ = 1;
@@ -1393,7 +1393,7 @@
 		    }
 		    else
 			categ = g_slist_find_custom ( liste_struct_categories,
-						      g_strstrip ( tab_str[0] ),
+						      my_strstrip ( tab_str[0] ),
 						      (GCompareFunc) recherche_categorie_par_nom ) -> data;
 
 
@@ -1405,21 +1405,21 @@
 		    if ( tab_str[1] )
 		    {
 			if ( !g_slist_find_custom ( categ -> liste_sous_categ,
-						    g_strstrip ( tab_str[1] ),
+						    my_strstrip ( tab_str[1] ),
 						    (GCompareFunc) recherche_sous_categorie_par_nom ))
 			{
 			    sous_categ = calloc ( 1,
 						  sizeof ( struct struct_sous_categ ));
 
 			    sous_categ -> no_sous_categ = ++( categ -> no_derniere_sous_categ );
-			    sous_categ -> nom_sous_categ = g_strdup ( g_strstrip ( tab_str[1] ));
+			    sous_categ -> nom_sous_categ = g_strdup ( my_strstrip ( tab_str[1] ));
 
 			    categ -> liste_sous_categ = g_slist_append ( categ -> liste_sous_categ,
 									 sous_categ );
 			}
 			else
 			    sous_categ = g_slist_find_custom ( categ -> liste_sous_categ,
-							       g_strstrip ( tab_str[1] ),
+							       my_strstrip ( tab_str[1] ),
 							       (GCompareFunc) recherche_sous_categorie_par_nom ) -> data;
 
 			operation -> sous_categorie = sous_categ -> no_sous_categ;
@@ -2046,7 +2046,7 @@
     if ( operation_import -> tiers )
     {
 	pointeur_tmp = g_slist_find_custom ( liste_struct_tiers,
-					     g_strstrip ( operation_import -> tiers ),
+					     my_strstrip ( operation_import -> tiers ),
 					     (GCompareFunc) recherche_tiers_par_nom );
 
 	/* si le tiers n'existait pas, on le crée */
@@ -2074,7 +2074,7 @@
 
 	if ( operation_import -> categ
 	     &&
-	     strlen ( g_strstrip (operation_import -> categ)) )
+	     strlen ( my_strstrip (operation_import -> categ)) )
 	{
 	    if ( operation_import -> categ[0] == '[' )
 	    {
@@ -2101,14 +2101,14 @@
 		/* récupération ou création de la catégorie */
 
 		if ( !g_slist_find_custom ( liste_struct_categories,
-					    g_strstrip ( tab_str[0] ),
+					    my_strstrip ( tab_str[0] ),
 					    (GCompareFunc) recherche_categorie_par_nom ))
 		{
 		    categ = calloc ( 1,
 				     sizeof ( struct struct_categ ));
 
 		    categ -> no_categ = ++no_derniere_categorie;
-		    categ -> nom_categ = g_strdup ( g_strstrip ( tab_str[0] ) );
+		    categ -> nom_categ = g_strdup ( my_strstrip ( tab_str[0] ) );
 
 		    if ( operation_import -> montant < 0 )
 			categ -> type_categ = 1;
@@ -2122,7 +2122,7 @@
 		}
 		else
 		    categ = g_slist_find_custom ( liste_struct_categories,
-						  g_strstrip ( tab_str[0] ),
+						  my_strstrip ( tab_str[0] ),
 						  (GCompareFunc) recherche_categorie_par_nom ) -> data;
 
 
@@ -2134,21 +2134,21 @@
 		if ( tab_str[1] )
 		{
 		    if ( !g_slist_find_custom ( categ -> liste_sous_categ,
-						g_strstrip ( tab_str[1] ),
+						my_strstrip ( tab_str[1] ),
 						(GCompareFunc) recherche_sous_categorie_par_nom ))
 		    {
 			sous_categ = calloc ( 1,
 					      sizeof ( struct struct_sous_categ ));
 
 			sous_categ -> no_sous_categ = ++( categ -> no_derniere_sous_categ );
-			sous_categ -> nom_sous_categ = g_strdup ( g_strstrip ( tab_str[1] ));
+			sous_categ -> nom_sous_categ = g_strdup ( my_strstrip ( tab_str[1] ));
 
 			categ -> liste_sous_categ = g_slist_append ( categ -> liste_sous_categ,
 								     sous_categ );
 		    }
 		    else
 			sous_categ = g_slist_find_custom ( categ -> liste_sous_categ,
-							   g_strstrip ( tab_str[1] ),
+							   my_strstrip ( tab_str[1] ),
 							   (GCompareFunc) recherche_sous_categorie_par_nom ) -> data;
 
 		    operation -> sous_categorie = sous_categ -> no_sous_categ;
diff -Naur grisbi-0.5.9/src/imputation_budgetaire.c grisbi-0.5.9.benj/src/imputation_budgetaire.c
--- grisbi-0.5.9/src/imputation_budgetaire.c	2005-10-27 17:15:56.000000000 +0200
+++ grisbi-0.5.9.benj/src/imputation_budgetaire.c	2013-07-10 16:52:14.000000000 +0200
@@ -3,7 +3,7 @@
 /* 			imputation_budgetaire.c                               */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2004 Benjamin Drieu (bdrieu@april.org)		      */
+/*			2013 Benjamin Drieu (bdrieu@april.org)		      */
 /*			2004 Alain Portal (aportal@univ-montp2.fr) 	      */
 /*			http://www.grisbi.org   			      */
 /*                                                                            */
@@ -1391,12 +1391,12 @@
 					    "adr_struct_imputation" );
 
 
-	if ( strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))),
+	if ( strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))),
 		      imputation -> nom_imputation ))
 	{
 	    free ( imputation -> nom_imputation );
 
-	    imputation -> nom_imputation = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))) );
+	    imputation -> nom_imputation = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))) );
 
 
 	    node = GTK_CTREE_NODE ( ( GTK_CLIST ( arbre_imputation ) -> selection ) -> data );
@@ -1434,7 +1434,7 @@
 
 	free ( sous_imputation -> nom_sous_imputation );
 
-	sous_imputation -> nom_sous_imputation = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))) );
+	sous_imputation -> nom_sous_imputation = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_imputation ))) );
 
 
 	node = GTK_CTREE_NODE ( ( GTK_CLIST ( arbre_imputation ) -> selection ) -> data );
@@ -2320,7 +2320,7 @@
     nouvelle_imputation = calloc ( 1, sizeof ( struct struct_imputation ));
 
     nouvelle_imputation -> no_imputation = ++no_derniere_imputation;
-    nouvelle_imputation -> nom_imputation = g_strdup ( g_strstrip ( imputation ));
+    nouvelle_imputation -> nom_imputation = g_strdup ( my_strstrip ( imputation ));
 
     liste_struct_imputation = g_slist_append ( liste_struct_imputation,
 					       nouvelle_imputation );
@@ -2359,7 +2359,7 @@
 	return NULL;
       }
 
-    nouvelle_sous_imputation -> nom_sous_imputation = g_strdup ( g_strstrip ( sous_imputation ));
+    nouvelle_sous_imputation -> nom_sous_imputation = g_strdup ( my_strstrip ( sous_imputation ));
 
     imputation -> liste_sous_imputation = g_slist_append ( imputation -> liste_sous_imputation,
 							   nouvelle_sous_imputation );
diff -Naur grisbi-0.5.9/src/operations_formulaire.c grisbi-0.5.9.benj/src/operations_formulaire.c
--- grisbi-0.5.9/src/operations_formulaire.c	2006-05-15 14:59:22.000000000 +0200
+++ grisbi-0.5.9.benj/src/operations_formulaire.c	2013-07-10 16:52:14.000000000 +0200
@@ -3,7 +3,7 @@
 /* 			formulaire.c                                          */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2003-2004 Benjamin Drieu (bdrieu@april.org)	      */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org)	      */
 /*			2004 Alain Portal (aportal@univ-montp2.fr)	      */
 /*			http://www.grisbi.org   			      */
 /*                                                                            */
@@ -775,7 +775,7 @@
 	   la complète si nécessaire et met à jour l'exercice */
 	case TRANSACTION_FORM_DATE :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		modifie_date ( entree );
 
@@ -794,7 +794,7 @@
 
 	case TRANSACTION_FORM_PARTY :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		completion_operation_par_tiers ();
 	    else
 		texte = _("Third party");
@@ -804,7 +804,7 @@
 
 	case TRANSACTION_FORM_DEBIT :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* on commence par virer ce qu'il y avait dans les crédits */
 
@@ -896,7 +896,7 @@
 
 	case TRANSACTION_FORM_CREDIT :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* on commence par virer ce qu'il y avait dans les débits */
 
@@ -977,7 +977,7 @@
 	    break;
 
 	case TRANSACTION_FORM_VALUE_DATE :
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		modifie_date ( entree );
 	    else
 		texte = _("Value date");
@@ -988,9 +988,9 @@
 
 	case TRANSACTION_FORM_CATEGORY :
 
-	    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
-		if ( strcmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_CATEGORY] ))),
+		if ( strcmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_CATEGORY] ))),
 			      _("Breakdown of transaction") ))
 		{
 		    gchar **tableau_char;
@@ -1003,10 +1003,10 @@
 						":",
 						2 );
 
-		    tableau_char[0] = g_strstrip ( tableau_char[0] );
+		    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 		    if ( tableau_char[1] )
-			tableau_char[1] = g_strstrip ( tableau_char[1] );
+			tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 		    if ( strlen ( tableau_char[0] ) )
@@ -1109,32 +1109,32 @@
 
 	case TRANSACTION_FORM_CHEQUE :
 
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Cheque/Transfer number");
 	    break;
 
 	case TRANSACTION_FORM_BUDGET :
 
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Budgetary line");
 	    break;
 
 	case TRANSACTION_FORM_VOUCHER :
 
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Voucher");
 
 	    break;
 
 	case TRANSACTION_FORM_NOTES :
 
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Notes");
 	    break;
 
 	case TRANSACTION_FORM_BANK :
 
-	    if ( !strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Bank references");
 	    break;
 
@@ -1394,21 +1394,21 @@
 		/* si c'est la date d'opération et que le champ est vide, alors on
 		   récupère la date du jour comme date d'opération */
 		if ( origine == TRANSACTION_FORM_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		    gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ), gsb_today() );
 
 		/* si c'est la date de valeur et que le champ est vide, alors on
 		   récupère la date d'opération comme date de valeur */
 		if ( origine == TRANSACTION_FORM_VALUE_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		{
 		    /* si la date d'opération est vide elle aussi, alors on récupère
 		       la date du jour comme date de valeur */
-		    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
-			 g_strcasecmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
+		    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
+			 g_strcasecmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
 			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), gsb_today() );
 		    else
-			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
+			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
 		}
 
 		if ( ( ev -> state & GDK_SHIFT_MASK ) != GDK_SHIFT_MASK ||
@@ -1444,21 +1444,21 @@
 		/* si c'est la date d'opération et que le champ est vide, alors on
 		   récupère la date du jour comme date d'opération */
 		if ( origine == TRANSACTION_FORM_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		    gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ), gsb_today() );
 
 		/* si c'est la date de valeur et que le champ est vide, alors on
 		   récupère la date d'opération comme date de valeur */
 		if ( origine == TRANSACTION_FORM_VALUE_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		{
 		    /* si la date d'opération est vide elle aussi, alors on récupère
 		       la date du jour comme date de valeur */
-		    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
-			 g_strcasecmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
+		    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
+			 g_strcasecmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
 			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), gsb_today() );
 		    else
-			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
+			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
 		}
 
 		if ( ( ev -> state & GDK_SHIFT_MASK ) != GDK_SHIFT_MASK ||
@@ -1493,21 +1493,21 @@
 		/* si c'est la date d'opération et que le champ est vide, alors on
 		   récupère la date du jour comme date d'opération */
 		if ( origine == TRANSACTION_FORM_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		    gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ), gsb_today() );
 
 		/* si c'est la date de valeur et que le champ est vide, alors on
 		   récupère la date d'opération comme date de valeur */
 		if ( origine == TRANSACTION_FORM_VALUE_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		{
 		    /* si la date d'opération est vide elle aussi, alors on récupère
 		       la date du jour comme date de valeur */
-		    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
-			 g_strcasecmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
+		    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
+			 g_strcasecmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
 			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), gsb_today() );
 		    else
-			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
+			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
 		}
 
 		if ( ( ev -> state & GDK_SHIFT_MASK ) != GDK_SHIFT_MASK )
@@ -1532,21 +1532,21 @@
 		/* si c'est la date d'opération et que le champ est vide, alors on
 		   récupère la date du jour comme date d'opération */
 		if ( origine == TRANSACTION_FORM_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		    gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ), gsb_today() );
 
 		/* si c'est la date de valeur et que le champ est vide, alors on
 		   récupère la date d'opération comme date de valeur */
 		if ( origine == TRANSACTION_FORM_VALUE_DATE &&
-		     strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
+		     strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[origine] ) ) ) ) == 0 )
 		{
 		    /* si la date d'opération est vide elle aussi, alors on récupère
 		       la date du jour comme date de valeur */
-		    if ( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
-			 g_strcasecmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
+		    if ( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) ) == 0 ||
+			 g_strcasecmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ),  _("Date") ) == 0 )
 			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), gsb_today() );
 		    else
-			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
+			gtk_entry_set_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ), my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] ) ) ) );
 		}
 
 		if ( ( ev -> state & GDK_SHIFT_MASK ) != GDK_SHIFT_MASK )
@@ -1595,7 +1595,7 @@
     /* recherche le tiers demandé */
 
     liste_tmp = g_slist_find_custom ( liste_struct_tiers,
-				      g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
+				      my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
 				      ( GCompareFunc ) recherche_tiers_par_nom );
 
     /*   si nouveau tiers,  on s'en va simplement */
@@ -2077,7 +2077,7 @@
 
     liste_no_tiers = NULL;
 
-    if ( strncmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
+    if ( strncmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
 		   COLON(_("Report")),
 		   7 ))
 	/*     ce n'est pas un état, on met -1 comme no de tiers */
@@ -2093,11 +2093,11 @@
 	struct struct_etat *etat;
 	GSList *liste_opes_selectionnees;
 
-	tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
+	tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
 				    ":",
 				    2 );
 
-	tableau_char[1] = g_strstrip ( tableau_char[1] );
+	tableau_char[1] = my_strstrip ( tableau_char[1] );
 	liste_tmp = liste_struct_etats;
 	etat = NULL;
 
@@ -2379,10 +2379,10 @@
                                         ":",
                                         2 );
 
-            tableau_char[0] = g_strstrip ( tableau_char[0] );
+            tableau_char[0] = my_strstrip ( tableau_char[0] );
 
             if ( tableau_char[1] )
-                tableau_char[1] = g_strstrip ( tableau_char[1] );
+                tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
             /* Si c'est un virement, on fait les vérifications */
@@ -2482,7 +2482,7 @@
 	    if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_CHEQUE] ) == style_entree_formulaire[ENCLAIR] )
 	    {
 		liste_tmp = LISTE_OPERATIONS;
-		no_cheque = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CHEQUE] )));
+		no_cheque = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CHEQUE] )));
 
 		while ( liste_tmp )
 		{
@@ -2519,7 +2519,7 @@
     /* si c'est le cas, si la liste des ventilation existe (soit adr de liste, soit -1), on va l'enregistrer plus tard */
     /* sinon on va ventiler tout de suite */
 
-    if ( !strcmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_CATEGORY] ))),
+    if ( !strcmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_CATEGORY] ))),
 		   _("Breakdown of transaction") )
 	 &&
 	 !gtk_object_get_data ( GTK_OBJECT ( formulaire ),
@@ -2528,10 +2528,10 @@
 	enregistre_ope_au_retour = 1;
 
 	if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	    ventiler_operation ( -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
+	    ventiler_operation ( -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
 					      NULL ));
 	else
-	    ventiler_operation ( my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
+	    ventiler_operation ( my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
 					     NULL ));
 
 	return (FALSE);
@@ -2539,7 +2539,7 @@
 
     /* on vérifie si le tiers est un état, que c'est une nouvelle opération */
 
-    if ( !strncmp ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
+    if ( !strncmp ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
 		    COLON(_("Report")),
 		    7 ))
     {
@@ -2555,11 +2555,11 @@
 
 	/* on vérifie maintenant si l'état existe */
 
-	tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
+	tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ))),
 				    ":",
 				    2 );
 
-	tableau_char[1] = g_strstrip ( tableau_char[1] );
+	tableau_char[1] = my_strstrip ( tableau_char[1] );
 	liste_tmp = liste_struct_etats;
 	trouve = 0;
 
@@ -2606,7 +2606,7 @@
 
     /* traitement de la date */
 
-    pointeur_char = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] )));
+    pointeur_char = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DATE] )));
 
     tableau_char = g_strsplit ( pointeur_char,
 				"/",
@@ -2625,7 +2625,7 @@
     if ( etat.affiche_date_bancaire &&
 	 gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] ) == style_entree_formulaire[ENCLAIR] )
     {
-	pointeur_char = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] )));
+	pointeur_char = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VALUE_DATE] )));
 
 	tableau_char = g_strsplit ( pointeur_char,
 				    "/",
@@ -2652,7 +2652,7 @@
 
     if ( gtk_widget_get_style ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] ) -> entry ) == style_entree_formulaire[ENCLAIR] )
     {
-	pointeur_char = g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] )));
+	pointeur_char = my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_operations[TRANSACTION_FORM_PARTY] )));
 
 	if ( ( pointeur_liste = g_slist_find_custom ( liste_struct_tiers,
 						      pointeur_char,
@@ -2675,10 +2675,10 @@
     /* récupération du montant */
 
     if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> montant = -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
+	operation -> montant = -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
 					    NULL );
     else
-	operation -> montant = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
+	operation -> montant = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
 					   NULL );
 
     /* récupération de la devise */
@@ -2735,7 +2735,7 @@
 	    type = gtk_object_get_data ( GTK_OBJECT ( GTK_OPTION_MENU ( widget_formulaire_operations[TRANSACTION_FORM_TYPE] ) -> menu_item ),
 					 "adr_type" );
 
-	    operation -> contenu_type = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CHEQUE] ))));
+	    operation -> contenu_type = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CHEQUE] ))));
 
 	    if ( type -> numerotation_auto )
 		type -> no_en_cours = ( my_atoi ( operation -> contenu_type ));
@@ -2776,10 +2776,10 @@
 				    ":",
 				    2 );
 
-	tableau_char[0] = g_strstrip ( tableau_char[0] );
+	tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	if ( tableau_char[1] )
-	    tableau_char[1] = g_strstrip ( tableau_char[1] );
+	    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	pointeur_liste = g_slist_find_custom ( liste_struct_imputation,
 					       tableau_char[0],
@@ -2828,21 +2828,21 @@
     /* récupération du no de pièce comptable */
 
     if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_VOUCHER] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> no_piece_comptable = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VOUCHER] ))));
+	operation -> no_piece_comptable = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_VOUCHER] ))));
     else
 	operation -> no_piece_comptable = NULL;
 
     /* récupération des notes */
 
     if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_NOTES] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> notes = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_NOTES] ))));
+	operation -> notes = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_NOTES] ))));
     else
 	operation -> notes = NULL;
 
     /* récupération de l'info banque/guichet */
 
     if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_BANK] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> info_banque_guichet = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_BANK] ))));
+	operation -> info_banque_guichet = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_BANK] ))));
     else
 	operation -> info_banque_guichet = NULL;
 }
@@ -2868,7 +2868,7 @@
 
 	/* récupération de la ventilation si nécessaire */
 
-	if ( !strcmp ( g_strstrip ( pointeur_char ),
+	if ( !strcmp ( my_strstrip ( pointeur_char ),
 		       _("Breakdown of transaction") ))
 	{
 	    /* c'est une opé ventilée, on va appeler la fonction validation_ope_de_ventilation */
@@ -2940,10 +2940,10 @@
 					":",
 					2 );
 
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 	    if ( strlen ( tableau_char[0] ) )
@@ -3510,10 +3510,10 @@
     enregistre_ope_au_retour = 0;
 
     if ( gtk_widget_get_style ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
-	ventiler_operation ( -my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
+	ventiler_operation ( -my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_DEBIT] ))),
 					  NULL ));
     else
-	ventiler_operation ( my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
+	ventiler_operation ( my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_operations[TRANSACTION_FORM_CREDIT] ))),
 					 NULL ));
 }
 /******************************************************************************/
@@ -3606,7 +3606,7 @@
 {
     double number;
 
-    number = my_strtod ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entry ))), NULL );
+    number = my_strtod ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entry ))), NULL );
     number += increment;
 
     gtk_entry_set_text ( GTK_ENTRY ( entry ), utils_itoa ( number ) );
diff -Naur grisbi-0.5.9/src/qif.c grisbi-0.5.9.benj/src/qif.c
--- grisbi-0.5.9/src/qif.c	2006-05-20 18:05:51.000000000 +0200
+++ grisbi-0.5.9.benj/src/qif.c	2013-07-10 16:52:14.000000000 +0200
@@ -101,7 +101,7 @@
 				   2 );
 
 		if ( tab[1] )
-		    tab[1] = g_strstrip ( tab[1] );
+		    tab[1] = my_strstrip ( tab[1] );
 
 		/* a new of money : now it sets the name bank (and perhaps the others ??)
 		 * in the locale... so i do it here, and keep the non localisation because
@@ -305,7 +305,7 @@
                         compte -> nom_de_compte =  latin2utf8 (g_strdelimit ( compte -> nom_de_compte,
                                                                               "]",
                                                                               ' ' ));
-                        compte -> nom_de_compte =  latin2utf8 (g_strstrip ( compte -> nom_de_compte ));
+                        compte -> nom_de_compte =  latin2utf8 (my_strstrip ( compte -> nom_de_compte ));
                     }
 
                     /* on récupère la date du fichier */
@@ -402,7 +402,7 @@
 
 		    if ( pointeur_char[0] == 'M' )
 		    {
-			operation -> notes = g_strstrip ( g_strdelimit ( pointeur_char + 1,
+			operation -> notes = my_strstrip ( g_strdelimit ( pointeur_char + 1,
 									 ";",
 									 '/' ));
 
@@ -520,7 +520,7 @@
 			 &&
 			 ventilation )
 		    {
-			ventilation -> notes = g_strstrip ( g_strdelimit ( pointeur_char + 1,
+			ventilation -> notes = my_strstrip ( g_strdelimit ( pointeur_char + 1,
 									   ";",
 									   '/' ));
 
@@ -590,7 +590,7 @@
 		{
 		    if ( !(operation -> date_tmp
 			   && 
-			   strlen ( g_strstrip (operation -> date_tmp ))))
+			   strlen ( my_strstrip (operation -> date_tmp ))))
 		    {
 			/* 	l'opération n'a pas de date, c'est pas normal. pour éviter de la perdre, on va lui */
 			/* 	 donner la date 01/01/1970 et on ajoute au tiers [opération sans date] */
diff -Naur grisbi-0.5.9/src/search_glist.c grisbi-0.5.9.benj/src/search_glist.c
--- grisbi-0.5.9/src/search_glist.c	2005-04-08 17:21:51.000000000 +0200
+++ grisbi-0.5.9.benj/src/search_glist.c	2013-07-10 16:52:14.000000000 +0200
@@ -5,7 +5,7 @@
 /*                                  search_glist.c                            */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2003-2004 Benjamin Drieu (bdrieu@april.org)	      */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org)	      */
 /*			2003-2004 Alain Portal (aportal@univ-montp2.fr)       */
 /* 			http://www.grisbi.org				      */
 /*                                                                            */
@@ -146,7 +146,7 @@
 {
 
     if ( devise -> code_iso4217_devise )
-	return ( g_strcasecmp ( g_strstrip ( devise -> code_iso4217_devise ),
+	return ( g_strcasecmp ( my_strstrip ( devise -> code_iso4217_devise ),
 				nom ) );
     else
 	return (-1);
@@ -225,7 +225,7 @@
 				  gchar *nom )
 {
 
-    return ( g_strcasecmp ( g_strstrip ( exercice -> nom_exercice ),
+    return ( g_strcasecmp ( my_strstrip ( exercice -> nom_exercice ),
 			    nom ) );
 
 }
diff -Naur grisbi-0.5.9/src/tiers_onglet.c grisbi-0.5.9.benj/src/tiers_onglet.c
--- grisbi-0.5.9/src/tiers_onglet.c	2005-04-17 11:18:25.000000000 +0200
+++ grisbi-0.5.9.benj/src/tiers_onglet.c	2013-07-10 16:52:14.000000000 +0200
@@ -962,12 +962,12 @@
 
     /* si c'est une modif du nom, on doit réafficher la liste des tiers et les listes des opés, sinon, on change juste le texte */
 
-    if ( strcmp ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_tiers ))),
+    if ( strcmp ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_tiers ))),
 		  tiers -> nom_tiers ))
     {
 	free ( tiers -> nom_tiers );
 
-	tiers -> nom_tiers = g_strdup ( g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_tiers ))) );
+	tiers -> nom_tiers = g_strdup ( my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree_nom_tiers ))) );
 
 
 	node = GTK_CTREE_NODE ( ( GTK_CLIST ( arbre_tiers ) -> selection ) -> data );
@@ -1074,14 +1074,14 @@
 {
     struct struct_tiers *nouveau_tiers;
 
-    if ( !strlen ( g_strstrip ( tiers )))
+    if ( !strlen ( my_strstrip ( tiers )))
 	return ( 0 );
 
     nouveau_tiers = calloc ( 1,
 			     sizeof ( struct struct_tiers ));
 
     nouveau_tiers -> no_tiers = ++no_dernier_tiers;
-    nouveau_tiers -> nom_tiers = g_strdup ( g_strstrip ( tiers ));
+    nouveau_tiers -> nom_tiers = g_strdup ( my_strstrip ( tiers ));
 
     liste_struct_tiers = g_slist_append ( liste_struct_tiers,
 					  nouveau_tiers );
diff -Naur grisbi-0.5.9/src/utils.c grisbi-0.5.9.benj/src/utils.c
--- grisbi-0.5.9/src/utils.c	2006-01-06 07:59:33.000000000 +0100
+++ grisbi-0.5.9.benj/src/utils.c	2013-07-10 17:02:58.000000000 +0200
@@ -5,7 +5,7 @@
 /*                                  fonctions_utiles.c                        */
 /*                                                                            */
 /*     Copyright (C)	2000-2003 Cédric Auger (cedric@grisbi.org)	      */
-/*			2003-2004 Benjamin Drieu (bdrieu@april.org)	      */
+/*			2003-2013 Benjamin Drieu (bdrieu@april.org)	      */
 /*			2003-2004 Alain Portal (aportal@univ-montp2.fr)       */
 /*			2003-2004 Francois Terrot (francois.terrot@grisbi.org)*/
 /* 			http://www.grisbi.org				      */
@@ -150,7 +150,7 @@
     if (( gtk_widget_get_style ( entree ) == style_entree_formulaire[ENGRIS] ))
 	return ( FALSE );
 
-    pointeur_entry = g_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )) );
+    pointeur_entry = my_strstrip ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )) );
 
     if ( !strlen ( pointeur_entry ))
     {
@@ -288,7 +288,7 @@
     GDate *date;
     gchar **tab_date;
 
-    pEntry = g_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entree ) ) );
+    pEntry = my_strstrip ( ( gchar * ) gtk_entry_get_text ( GTK_ENTRY ( entree ) ) );
 
     if ( !pEntry || !strlen(pEntry) )
     {
@@ -1526,7 +1526,7 @@
     gtk_container_add ( GTK_CONTAINER ( frame ), popup_boxv);
 
     /* Set initial date according to entry */
-    if ( !( strlen ( g_strstrip ( (gchar *) gtk_entry_get_text (GTK_ENTRY(entree))))
+    if ( !( strlen ( my_strstrip ( (gchar *) gtk_entry_get_text (GTK_ENTRY(entree))))
 	    &&
 	    sscanf ( (gchar *) gtk_entry_get_text ( GTK_ENTRY ( entree )),
 		     "%02d/%02d/%04d", &cal_jour, &cal_mois, &cal_annee)))
@@ -1966,3 +1966,12 @@
 /* ******************************************************************************* */
 
 
+
+
+gchar * my_strstrip(gchar *string)
+{
+    if ( string && strlen(string) > 0)
+	return g_strstrip(string);
+    else
+	return g_strdup ("");
+}
diff -Naur grisbi-0.5.9/src/utils.h grisbi-0.5.9.benj/src/utils.h
--- grisbi-0.5.9/src/utils.h	2006-05-03 21:59:55.000000000 +0200
+++ grisbi-0.5.9.benj/src/utils.h	2013-07-10 16:58:35.000000000 +0200
@@ -93,8 +93,9 @@
 		     gchar *chaine_2,
 		     gint longueur );
 gchar *get_line_from_string ( gchar *string );
-
+gchar * my_strstrip(gchar *string);
 
 #define utils_free(ptr) if(ptr) { g_free(ptr); ptr = NULL; }
 
+
 #endif
diff -Naur grisbi-0.5.9/src/ventilation.c grisbi-0.5.9.benj/src/ventilation.c
--- grisbi-0.5.9/src/ventilation.c	2005-02-12 11:33:12.000000000 +0100
+++ grisbi-0.5.9.benj/src/ventilation.c	2013-07-10 16:52:14.000000000 +0200
@@ -749,7 +749,7 @@
     {
 	/* on sort des catégories */
 	case TRANSACTION_BREAKDOWN_FORM_CATEGORY :
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 	    {
 		/* si c'est un virement, on met le menu des types de l'autre compte */
 		/* si ce menu n'est pas déjà affiché */
@@ -760,10 +760,10 @@
 					    ":",
 					    2 );
 
-		tableau_char[0] = g_strstrip ( tableau_char[0] );
+		tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 		if ( tableau_char[1] )
-		    tableau_char[1] = g_strstrip ( tableau_char[1] );
+		    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 		if ( strlen ( tableau_char[0] ) )
@@ -861,7 +861,7 @@
 	    /* sort des notes */
 
 	case TRANSACTION_BREAKDOWN_FORM_NOTES :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Notes");
 	    break;
 
@@ -870,7 +870,7 @@
 
 	case TRANSACTION_BREAKDOWN_FORM_DEBIT :
 
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
 		 &&
 		 gtk_widget_get_style ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
 	    {
@@ -917,7 +917,7 @@
 	    /* sort du crédit */
 
 	case TRANSACTION_BREAKDOWN_FORM_CREDIT :
-	    if ( strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
+	    if ( strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree ))))
 		 &&
 		 gtk_widget_get_style ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_CREDIT] ) == style_entree_formulaire[ENCLAIR])
 	    {
@@ -964,14 +964,14 @@
 	    /* sort de l'ib */
 
 	case TRANSACTION_BREAKDOWN_FORM_BUDGETARY :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Budgetary line");
 	    break;
 
 	    /* sort de la pièce comptable */
 
 	case TRANSACTION_BREAKDOWN_FORM_VOUCHER :
-	    if ( !strlen ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
+	    if ( !strlen ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( entree )))))
 		texte = _("Voucher");
 	    break;
 
@@ -1563,15 +1563,15 @@
     {
 	/*       on split déjà les catég, sans libérer la variable, pour la récupérer ensuite pour les categ */
 
-	tableau_char = g_strsplit ( g_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_CATEGORY] ))),
+	tableau_char = g_strsplit ( my_strstrip ( gtk_combofix_get_text ( GTK_COMBOFIX ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_CATEGORY] ))),
 				    ":",
 				    2 );
 	if ( tableau_char[0]  )
 	{
-	    tableau_char[0] = g_strstrip ( tableau_char[0] );
+	    tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	    if ( tableau_char[1] )
-		tableau_char[1] = g_strstrip ( tableau_char[1] );
+		tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 
 	    if ( !strcmp ( tableau_char[0],
@@ -1784,7 +1784,7 @@
     /* récupération des notes */
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_NOTES] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> notes = g_strdup ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_NOTES] ))));
+	operation -> notes = g_strdup ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_NOTES] ))));
     else
 	operation -> notes = NULL;
 
@@ -1793,10 +1793,10 @@
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_DEBIT] ) == style_entree_formulaire[ENCLAIR] )
 	/* c'est un débit */
-	operation -> montant = -my_strtod ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_DEBIT] ))),
+	operation -> montant = -my_strtod ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_DEBIT] ))),
 					    NULL );
     else
-	operation -> montant = my_strtod ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_CREDIT] ))),
+	operation -> montant = my_strtod ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_CREDIT] ))),
 					   NULL );
 
 
@@ -1813,10 +1813,10 @@
 				    ":",
 				    2 );
 
-	tableau_char[0] = g_strstrip ( tableau_char[0] );
+	tableau_char[0] = my_strstrip ( tableau_char[0] );
 
 	if ( tableau_char[1] )
-	    tableau_char[1] = g_strstrip ( tableau_char[1] );
+	    tableau_char[1] = my_strstrip ( tableau_char[1] );
 
 	pointeur_liste = g_slist_find_custom ( liste_struct_imputation,
 					       tableau_char[0],
@@ -1877,7 +1877,7 @@
     /* récupération du no de pièce comptable */
 
     if ( gtk_widget_get_style ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_VOUCHER] ) == style_entree_formulaire[ENCLAIR] )
-	operation -> no_piece_comptable = g_strdup ( g_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_VOUCHER] ))));
+	operation -> no_piece_comptable = g_strdup ( my_strstrip ( (char *) gtk_entry_get_text ( GTK_ENTRY ( widget_formulaire_ventilation[TRANSACTION_BREAKDOWN_FORM_VOUCHER] ))));
     else
 	operation -> no_piece_comptable = NULL;
 
